Safely deactivate an object
curl --request DELETE \
--url https://fleet.graviton.ma/api/v2/objects/{imei} \
--header 'Authorization: <api-key>'import requests
url = "https://fleet.graviton.ma/api/v2/objects/{imei}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://fleet.graviton.ma/api/v2/objects/{imei}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fleet.graviton.ma/api/v2/objects/{imei}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"imei": "<string>",
"protocol": "<string>",
"active": true,
"active_dt": "<string>",
"manager_id": 123,
"dt_server": "<string>",
"dt_tracker": "<string>",
"lat": 123,
"lng": 123,
"altitude": 123,
"angle": 123,
"speed": 123,
"loc_valid": "<string>",
"params": "<string>",
"name": "<string>",
"installation_dt": "<string>",
"icon": "<string>",
"map_arrows": "<string>",
"map_icon": "<string>",
"tail_color": "<string>",
"tail_points": "<string>",
"device": "<string>",
"sim_number": "<string>",
"model": "<string>",
"vin": "<string>",
"plate_number": "<string>",
"odometer_type": "<string>",
"engine_hours_type": "<string>",
"odometer": 123,
"engine_hours": 123,
"fcr": 123,
"time_adj": 123,
"accuracy": 123
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}Fleet
Safely deactivate an object
Requires write access. A read-only account cannot perform this operation. Requires object-edit permission.
DELETE
/
objects
/
{imei}
Safely deactivate an object
curl --request DELETE \
--url https://fleet.graviton.ma/api/v2/objects/{imei} \
--header 'Authorization: <api-key>'import requests
url = "https://fleet.graviton.ma/api/v2/objects/{imei}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://fleet.graviton.ma/api/v2/objects/{imei}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fleet.graviton.ma/api/v2/objects/{imei}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"imei": "<string>",
"protocol": "<string>",
"active": true,
"active_dt": "<string>",
"manager_id": 123,
"dt_server": "<string>",
"dt_tracker": "<string>",
"lat": 123,
"lng": 123,
"altitude": 123,
"angle": 123,
"speed": 123,
"loc_valid": "<string>",
"params": "<string>",
"name": "<string>",
"installation_dt": "<string>",
"icon": "<string>",
"map_arrows": "<string>",
"map_icon": "<string>",
"tail_color": "<string>",
"tail_points": "<string>",
"device": "<string>",
"sim_number": "<string>",
"model": "<string>",
"vin": "<string>",
"plate_number": "<string>",
"odometer_type": "<string>",
"engine_hours_type": "<string>",
"odometer": 123,
"engine_hours": 123,
"fcr": 123,
"time_adj": 123,
"accuracy": 123
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"page": 123,
"per_page": 123,
"total": 123,
"pages": 123
}
}Authorizations
Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.
Path Parameters
Pattern:
^[A-Za-z0-9_-]{1,20}$
